/**
 * A very simple array example from lecture 16, Arrays.
 */
public class ArraySample {
    /**
     * Constructor for objects of class ArraySample
     */
    public ArraySample() {
        names = new String[3];
        names[0] = "Sally";
        names[1] = "Splat";
        names[2] = "Google";
        for (int i=0; i<names.length; i++) {
            System.out.println("Name "+i+" is "+names[i]);
        }
    }
    /**
     * simple method to illustrate a use of arrays
     * @param x the value to check against limits
     * @param lim a two element integer array containing an upper and lower
     * bound
     * @return false if x is less than lim[0] or greater than lim[1], else
     * return true
     */
    public boolean doLimitCheck(int x,int[] lim) {
        if (lim == null) return false;
        if (lim.length != 2) return false;
        return (x >= lim[0] && x <= lim[1]);
    }
    /**
     * A simple main method
     */
    public static void main(String[] arg) {
        ArraySample s = new ArraySample();
        int x = 10;
        System.out.println(s.doLimitCheck(x,new int[] {1,100}));
    }
    
    String[] names;
}
